Loading...
Searching...
No Matches
OptimizeShuffles.h File Reference

Defines a lowering pass that replace indirect loads with dynamic_shuffle intrinsics where possible. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::optimize_shuffles (Stmt s, int lut_alignment)

## Detailed Description

Defines a lowering pass that replace indirect loads with dynamic_shuffle intrinsics where possible.

Definition in file OptimizeShuffles.h.